// Code generated by protoc-gen-gogo. DO NOT EDIT.
// source: adventuscalendar/api/timetable.proto

package apipb

import proto "github.com/gogo/protobuf/proto"
import fmt "fmt"
import math "math"
import types "github.com/gogo/protobuf/types"
import _ "google.golang.org/genproto/googleapis/api/annotations"

import strconv "strconv"

import strings "strings"
import reflect "reflect"
import github_com_gogo_protobuf_sortkeys "github.com/gogo/protobuf/sortkeys"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

import io "io"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.GoGoProtoPackageIsVersion2 // please upgrade the proto package

// SlotStatus represents whether a Slot in a Timetable is free or busy time
type SlotStatus int32

const (
	SLOT_STATUS_UNSPECIFIED SlotStatus = 0
	AVAILABLE               SlotStatus = 1
	BOOKED                  SlotStatus = 2
)

var SlotStatus_name = map[int32]string{
	0: "SLOT_STATUS_UNSPECIFIED",
	1: "AVAILABLE",
	2: "BOOKED",
}
var SlotStatus_value = map[string]int32{
	"SLOT_STATUS_UNSPECIFIED": 0,
	"AVAILABLE":               1,
	"BOOKED":                  2,
}

func (SlotStatus) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_timetable_a1190d0cd7c38e83, []int{0}
}

type CreateTimetableRequest struct {
	Timetable *Timetable `protobuf:"bytes,2,opt,name=timetable" json:"timetable,omitempty"`
}

func (m *CreateTimetableRequest) Reset()      { *m = CreateTimetableRequest{} }
func (*CreateTimetableRequest) ProtoMessage() {}
func (*CreateTimetableRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_timetable_a1190d0cd7c38e83, []int{0}
}
func (m *CreateTimetableRequest) XXX_Unmarshal(b []byte) error {
	return m.Unmarshal(b)
}
func (m *CreateTimetableRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	if deterministic {
		return xxx_messageInfo_CreateTimetableRequest.Marshal(b, m, deterministic)
	} else {
		b = b[:cap(b)]
		n, err := m.MarshalTo(b)
		if err != nil {
			return nil, err
		}
		return b[:n], nil
	}
}
func (dst *CreateTimetableRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateTimetableRequest.Merge(dst, src)
}
func (m *CreateTimetableRequest) XXX_Size() int {
	return m.Size()
}
func (m *CreateTimetableRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateTimetableRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CreateTimetableRequest proto.InternalMessageInfo

func (m *CreateTimetableRequest) GetTimetable() *Timetable {
	if m != nil {
		return m.Timetable
	}
	return nil
}

type GetTimetableRequest struct {
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
}

func (m *GetTimetableRequest) Reset()      { *m = GetTimetableRequest{} }
func (*GetTimetableRequest) ProtoMessage() {}
func (*GetTimetableRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_timetable_a1190d0cd7c38e83, []int{1}
}
func (m *GetTimetableRequest) XXX_Unmarshal(b []byte) error {
	return m.Unmarshal(b)
}
func (m *GetTimetableRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	if deterministic {
		return xxx_messageInfo_GetTimetableRequest.Marshal(b, m, deterministic)
	} else {
		b = b[:cap(b)]
		n, err := m.MarshalTo(b)
		if err != nil {
			return nil, err
		}
		return b[:n], nil
	}
}
func (dst *GetTimetableRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetTimetableRequest.Merge(dst, src)
}
func (m *GetTimetableRequest) XXX_Size() int {
	return m.Size()
}
func (m *GetTimetableRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetTimetableRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetTimetableRequest proto.InternalMessageInfo

func (m *GetTimetableRequest) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

type ListTimetablesRequest struct {
	// Number of items to return
	PageSize int32 `protobuf:"varint,2,opt,name=page_size,json=pageSize,proto3" json:"page_size,omitempty"`
	// The next_page token returned from the previous request
	PageToken string `protobuf:"bytes,3,opt,name=page_token,json=pageToken,proto3" json:"page_token,omitempty"`
	// A filter is used to query by labels
	// TODO Document something similar to
	// https://kubernetes.io/docs/concepts/overview/working-with-objects/labels/#label-selectors
	Filter string `protobuf:"bytes,4,opt,name=filter,proto3" json:"filter,omitempty"`
}

func (m *ListTimetablesRequest) Reset()      { *m = ListTimetablesRequest{} }
func (*ListTimetablesRequest) ProtoMessage() {}
func (*ListTimetablesRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_timetable_a1190d0cd7c38e83, []int{2}
}
func (m *ListTimetablesRequest) XXX_Unmarshal(b []byte) error {
	return m.Unmarshal(b)
}
func (m *ListTimetablesRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	if deterministic {
		return xxx_messageInfo_ListTimetablesRequest.Marshal(b, m, deterministic)
	} else {
		b = b[:cap(b)]
		n, err := m.MarshalTo(b)
		if err != nil {
			return nil, err
		}
		return b[:n], nil
	}
}
func (dst *ListTimetablesRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListTimetablesRequest.Merge(dst, src)
}
func (m *ListTimetablesRequest) XXX_Size() int {
	return m.Size()
}
func (m *ListTimetablesRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ListTimetablesRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ListTimetablesRequest proto.InternalMessageInfo

func (m *ListTimetablesRequest) GetPageSize() int32 {
	if m != nil {
		return m.PageSize
	}
	return 0
}

func (m *ListTimetablesRequest) GetPageToken() string {
	if m != nil {
		return m.PageToken
	}
	return ""
}

func (m *ListTimetablesRequest) GetFilter() string {
	if m != nil {
		return m.Filter
	}
	return ""
}

type ListTimetablesResponse struct {
	Timetables []*Timetable `protobuf:"bytes,1,rep,name=timetables" json:"timetables,omitempty"`
	// This goes in page_token in the next request,
	// to retrieve the next page of items
	NextPageToken string `protobuf:"bytes,2,opt,name=next_page_token,json=nextPageToken,proto3" json:"next_page_token,omitempty"`
}

func (m *ListTimetablesResponse) Reset()      { *m = ListTimetablesResponse{} }
func (*ListTimetablesResponse) ProtoMessage() {}
func (*ListTimetablesResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_timetable_a1190d0cd7c38e83, []int{3}
}
func (m *ListTimetablesResponse) XXX_Unmarshal(b []byte) error {
	return m.Unmarshal(b)
}
func (m *ListTimetablesResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	if deterministic {
		return xxx_messageInfo_ListTimetablesResponse.Marshal(b, m, deterministic)
	} else {
		b = b[:cap(b)]
		n, err := m.MarshalTo(b)
		if err != nil {
			return nil, err
		}
		return b[:n], nil
	}
}
func (dst *ListTimetablesResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListTimetablesResponse.Merge(dst, src)
}
func (m *ListTimetablesResponse) XXX_Size() int {
	return m.Size()
}
func (m *ListTimetablesResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ListTimetablesResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ListTimetablesResponse proto.InternalMessageInfo

func (m *ListTimetablesResponse) GetTimetables() []*Timetable {
	if m != nil {
		return m.Timetables
	}
	return nil
}

func (m *ListTimetablesResponse) GetNextPageToken() string {
	if m != nil {
		return m.NextPageToken
	}
	return ""
}

type CreateSlotRequest struct {
	Parent string `protobuf:"bytes,1,opt,name=parent,proto3" json:"parent,omitempty"`
	Slot   *Slot  `protobuf:"bytes,2,opt,name=slot" json:"slot,omitempty"`
}

func (m *CreateSlotRequest) Reset()      { *m = CreateSlotRequest{} }
func (*CreateSlotRequest) ProtoMessage() {}
func (*CreateSlotRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_timetable_a1190d0cd7c38e83, []int{4}
}
func (m *CreateSlotRequest) XXX_Unmarshal(b []byte) error {
	return m.Unmarshal(b)
}
func (m *CreateSlotRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	if deterministic {
		return xxx_messageInfo_CreateSlotRequest.Marshal(b, m, deterministic)
	} else {
		b = b[:cap(b)]
		n, err := m.MarshalTo(b)
		if err != nil {
			return nil, err
		}
		return b[:n], nil
	}
}
func (dst *CreateSlotRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateSlotRequest.Merge(dst, src)
}
func (m *CreateSlotRequest) XXX_Size() int {
	return m.Size()
}
func (m *CreateSlotRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateSlotRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CreateSlotRequest proto.InternalMessageInfo

func (m *CreateSlotRequest) GetParent() string {
	if m != nil {
		return m.Parent
	}
	return ""
}

func (m *CreateSlotRequest) GetSlot() *Slot {
	if m != nil {
		return m.Slot
	}
	return nil
}

type GetSlotRequest struct {
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
}

func (m *GetSlotRequest) Reset()      { *m = GetSlotRequest{} }
func (*GetSlotRequest) ProtoMessage() {}
func (*GetSlotRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_timetable_a1190d0cd7c38e83, []int{5}
}
func (m *GetSlotRequest) XXX_Unmarshal(b []byte) error {
	return m.Unmarshal(b)
}
func (m *GetSlotRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	if deterministic {
		return xxx_messageInfo_GetSlotRequest.Marshal(b, m, deterministic)
	} else {
		b = b[:cap(b)]
		n, err := m.MarshalTo(b)
		if err != nil {
			return nil, err
		}
		return b[:n], nil
	}
}
func (dst *GetSlotRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetSlotRequest.Merge(dst, src)
}
func (m *GetSlotRequest) XXX_Size() int {
	return m.Size()
}
func (m *GetSlotRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetSlotRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetSlotRequest proto.InternalMessageInfo

func (m *GetSlotRequest) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

type ListSlotsRequest struct {
	Parent    string `protobuf:"bytes,1,opt,name=parent,proto3" json:"parent,omitempty"`
	PageSize  int32  `protobuf:"varint,2,opt,name=page_size,json=pageSize,proto3" json:"page_size,omitempty"`
	PageToken string `protobuf:"bytes,3,opt,name=page_token,json=pageToken,proto3" json:"page_token,omitempty"`
}

func (m *ListSlotsRequest) Reset()      { *m = ListSlotsRequest{} }
func (*ListSlotsRequest) ProtoMessage() {}
func (*ListSlotsRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_timetable_a1190d0cd7c38e83, []int{6}
}
func (m *ListSlotsRequest) XXX_Unmarshal(b []byte) error {
	return m.Unmarshal(b)
}
func (m *ListSlotsRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	if deterministic {
		return xxx_messageInfo_ListSlotsRequest.Marshal(b, m, deterministic)
	} else {
		b = b[:cap(b)]
		n, err := m.MarshalTo(b)
		if err != nil {
			return nil, err
		}
		return b[:n], nil
	}
}
func (dst *ListSlotsRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListSlotsRequest.Merge(dst, src)
}
func (m *ListSlotsRequest) XXX_Size() int {
	return m.Size()
}
func (m *ListSlotsRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ListSlotsRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ListSlotsRequest proto.InternalMessageInfo

func (m *ListSlotsRequest) GetParent() string {
	if m != nil {
		return m.Parent
	}
	return ""
}

func (m *ListSlotsRequest) GetPageSize() int32 {
	if m != nil {
		return m.PageSize
	}
	return 0
}

func (m *ListSlotsRequest) GetPageToken() string {
	if m != nil {
		return m.PageToken
	}
	return ""
}

type ListSlotsResponse struct {
	Slots         []*Slot `protobuf:"bytes,1,rep,name=slots" json:"slots,omitempty"`
	NextPageToken string  `protobuf:"bytes,2,opt,name=next_page_token,json=nextPageToken,proto3" json:"next_page_token,omitempty"`
}

func (m *ListSlotsResponse) Reset()      { *m = ListSlotsResponse{} }
func (*ListSlotsResponse) ProtoMessage() {}
func (*ListSlotsResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_timetable_a1190d0cd7c38e83, []int{7}
}
func (m *ListSlotsResponse) XXX_Unmarshal(b []byte) error {
	return m.Unmarshal(b)
}
func (m *ListSlotsResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	if deterministic {
		return xxx_messageInfo_ListSlotsResponse.Marshal(b, m, deterministic)
	} else {
		b = b[:cap(b)]
		n, err := m.MarshalTo(b)
		if err != nil {
			return nil, err
		}
		return b[:n], nil
	}
}
func (dst *ListSlotsResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListSlotsResponse.Merge(dst, src)
}
func (m *ListSlotsResponse) XXX_Size() int {
	return m.Size()
}
func (m *ListSlotsResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ListSlotsResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ListSlotsResponse proto.InternalMessageInfo

func (m *ListSlotsResponse) GetSlots() []*Slot {
	if m != nil {
		return m.Slots
	}
	return nil
}

func (m *ListSlotsResponse) GetNextPageToken() string {
	if m != nil {
		return m.NextPageToken
	}
	return ""
}

// A Timetable is a timeline, for which a single unit of a resource can be booked,
// in any given point in time, it is either available or booked.
// The objects
type Timetable struct {
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// Labels are used to group related timetables,
	// and retrieve them
	Labels map[string]string `protobuf:"bytes,2,rep,name=labels" json:"labels,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
}

func (m *Timetable) Reset()      { *m = Timetable{} }
func (*Timetable) ProtoMessage() {}
func (*Timetable) Descriptor() ([]byte, []int) {
	return fileDescriptor_timetable_a1190d0cd7c38e83, []int{8}
}
func (m *Timetable) XXX_Unmarshal(b []byte) error {
	return m.Unmarshal(b)
}
func (m *Timetable) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	if deterministic {
		return xxx_messageInfo_Timetable.Marshal(b, m, deterministic)
	} else {
		b = b[:cap(b)]
		n, err := m.MarshalTo(b)
		if err != nil {
			return nil, err
		}
		return b[:n], nil
	}
}
func (dst *Timetable) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Timetable.Merge(dst, src)
}
func (m *Timetable) XXX_Size() int {
	return m.Size()
}
func (m *Timetable) XXX_DiscardUnknown() {
	xxx_messageInfo_Timetable.DiscardUnknown(m)
}

var xxx_messageInfo_Timetable proto.InternalMessageInfo

func (m *Timetable) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Timetable) GetLabels() map[string]string {
	if m != nil {
		return m.Labels
	}
	return nil
}

// A Slot is a duration in a Timetable,
// and it defines from and until when a resource is available/unavailable
type Slot struct {
	Status    SlotStatus       `protobuf:"varint,1,opt,name=status,proto3,enum=adventuscalendar.api.SlotStatus" json:"status,omitempty"`
	BeginTime *types.Timestamp `protobuf:"bytes,2,opt,name=begin_time,json=beginTime" json:"begin_time,omitempty"`
	EndTime   *types.Timestamp `protobuf:"bytes,3,opt,name=end_time,json=endTime" json:"end_time,omitempty"`
}

func (m *Slot) Reset()      { *m = Slot{} }
func (*Slot) ProtoMessage() {}
func (*Slot) Descriptor() ([]byte, []int) {
	return fileDescriptor_timetable_a1190d0cd7c38e83, []int{9}
}
func (m *Slot) XXX_Unmarshal(b []byte) error {
	return m.Unmarshal(b)
}
func (m *Slot) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	if deterministic {
		return xxx_messageInfo_Slot.Marshal(b, m, deterministic)
	} else {
		b = b[:cap(b)]
		n, err := m.MarshalTo(b)
		if err != nil {
			return nil, err
		}
		return b[:n], nil
	}
}
func (dst *Slot) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Slot.Merge(dst, src)
}
func (m *Slot) XXX_Size() int {
	return m.Size()
}
func (m *Slot) XXX_DiscardUnknown() {
	xxx_messageInfo_Slot.DiscardUnknown(m)
}

var xxx_messageInfo_Slot proto.InternalMessageInfo

func (m *Slot) GetStatus() SlotStatus {
	if m != nil {
		return m.Status
	}
	return SLOT_STATUS_UNSPECIFIED
}

func (m *Slot) GetBeginTime() *types.Timestamp {
	if m != nil {
		return m.BeginTime
	}
	return nil
}

func (m *Slot) GetEndTime() *types.Timestamp {
	if m != nil {
		return m.EndTime
	}
	return nil
}

func init() {
	proto.RegisterType((*CreateTimetableRequest)(nil), "adventuscalendar.api.CreateTimetableRequest")
	proto.RegisterType((*GetTimetableRequest)(nil), "adventuscalendar.api.GetTimetableRequest")
	proto.RegisterType((*ListTimetablesRequest)(nil), "adventuscalendar.api.ListTimetablesRequest")
	proto.RegisterType((*ListTimetablesResponse)(nil), "adventuscalendar.api.ListTimetablesResponse")
	proto.RegisterType((*CreateSlotRequest)(nil), "adventuscalendar.api.CreateSlotRequest")
	proto.RegisterType((*GetSlotRequest)(nil), "adventuscalendar.api.GetSlotRequest")
	proto.RegisterType((*ListSlotsRequest)(nil), "adventuscalendar.api.ListSlotsRequest")
	proto.RegisterType((*ListSlotsResponse)(nil), "adventuscalendar.api.ListSlotsResponse")
	proto.RegisterType((*Timetable)(nil), "adventuscalendar.api.Timetable")
	proto.RegisterMapType((map[string]string)(nil), "adventuscalendar.api.Timetable.LabelsEntry")
	proto.RegisterType((*Slot)(nil), "adventuscalendar.api.Slot")
	proto.RegisterEnum("adventuscalendar.api.SlotStatus", SlotStatus_name, SlotStatus_value)
}
func (x SlotStatus) String() string {
	s, ok := SlotStatus_name[int32(x)]
	if ok {
		return s
	}
	return strconv.Itoa(int(x))
}
func (this *CreateTimetableRequest) Equal(that interface{}) bool {
	if that == nil {
		return this == nil
	}

	that1, ok := that.(*CreateTimetableRequest)
	if !ok {
		that2, ok := that.(CreateTimetableRequest)
		if ok {
			that1 = &that2
		} else {
			return false
		}
	}
	if that1 == nil {
		return this == nil
	} else if this == nil {
		return false
	}
	if !this.Timetable.Equal(that1.Timetable) {
		return false
	}
	return true
}
func (this *GetTimetableRequest) Equal(that interface{}) bool {
	if that == nil {
		return this == nil
	}

	that1, ok := that.(*GetTimetableRequest)
	if !ok {
		that2, ok := that.(GetTimetableRequest)
		if ok {
			that1 = &that2
		} else {
			return false
		}
	}
	if that1 == nil {
		return this == nil
	} else if this == nil {
		return false
	}
	if this.Name != that1.Name {
		return false
	}
	return true
}
func (this *ListTimetablesRequest) Equal(that interface{}) bool {
	if that == nil {
		return this == nil
	}

	that1, ok := that.(*ListTimetablesRequest)
	if !ok {
		that2, ok := that.(ListTimetablesRequest)
		if ok {
			that1 = &that2
		} else {
			return false
		}
	}
	if that1 == nil {
		return this == nil
	} else if this == nil {
		return false
	}
	if this.PageSize != that1.PageSize {
		return false
	}
	if this.PageToken != that1.PageToken {
		return false
	}
	if this.Filter != that1.Filter {
		return false
	}
	return true
}
func (this *ListTimetablesResponse) Equal(that interface{}) bool {
	if that == nil {
		return this == nil
	}

	that1, ok := that.(*ListTimetablesResponse)
	if !ok {
		that2, ok := that.(ListTimetablesResponse)
		if ok {
			that1 = &that2
		} else {
			return false
		}
	}
	if that1 == nil {
		return this == nil
	} else if this == nil {
		return false
	}
	if len(this.Timetables) != len(that1.Timetables) {
		return false
	}
	for i := range this.Timetables {
		if !this.Timetables[i].Equal(that1.Timetables[i]) {
			return false
		}
	}
	if this.NextPageToken != that1.NextPageToken {
		return false
	}
	return true
}
func (this *CreateSlotRequest) Equal(that interface{}) bool {
	if that == nil {
		return this == nil
	}

	that1, ok := that.(*CreateSlotRequest)
	if !ok {
		that2, ok := that.(CreateSlotRequest)
		if ok {
			that1 = &that2
		} else {
			return false
		}
	}
	if that1 == nil {
		return this == nil
	} else if this == nil {
		return false
	}
	if this.Parent != that1.Parent {
		return false
	}
	if !this.Slot.Equal(that1.Slot) {
		return false
	}
	return true
}
func (this *GetSlotRequest) Equal(that interface{}) bool {
	if that == nil {
		return this == nil
	}

	that1, ok := that.(*GetSlotRequest)
	if !ok {
		that2, ok := that.(GetSlotRequest)
		if ok {
			that1 = &that2
		} else {
			return false
		}
	}
	if that1 == nil {
		return this == nil
	} else if this == nil {
		return false
	}
	if this.Name != that1.Name {
		return false
	}
	return true
}
func (this *ListSlotsRequest) Equal(that interface{}) bool {
	if that == nil {
		return this == nil
	}

	that1, ok := that.(*ListSlotsRequest)
	if !ok {
		that2, ok := that.(ListSlotsRequest)
		if ok {
			that1 = &that2
		} else {
			return false
		}
	}
	if that1 == nil {
		return this == nil
	} else if this == nil {
		return false
	}
	if this.Parent != that1.Parent {
		return false
	}
	if this.PageSize != that1.PageSize {
		return false
	}
	if this.PageToken != that1.PageToken {
		return false
	}
	return true
}
func (this *ListSlotsResponse) Equal(that interface{}) bool {
	if that == nil {
		return this == nil
	}

	that1, ok := that.(*ListSlotsResponse)
	if !ok {
		that2, ok := that.(ListSlotsResponse)
		if ok {
			that1 = &that2
		} else {
			return false
		}
	}
	if that1 == nil {
		return this == nil
	} else if this == nil {
		return false
	}
	if len(this.Slots) != len(that1.Slots) {
		return false
	}
	for i := range this.Slots {
		if !this.Slots[i].Equal(that1.Slots[i]) {
			return false
		}
	}
	if this.NextPageToken != that1.NextPageToken {
		return false
	}
	return true
}
func (this *Timetable) Equal(that interface{}) bool {
	if that == nil {
		return this == nil
	}

	that1, ok := that.(*Timetable)
	if !ok {
		that2, ok := that.(Timetable)
		if ok {
			that1 = &that2
		} else {
			return false
		}
	}
	if that1 == nil {
		return this == nil
	} else if this == nil {
		return false
	}
	if this.Name != that1.Name {
		return false
	}
	if len(this.Labels) != len(that1.Labels) {
		return false
	}
	for i := range this.Labels {
		if this.Labels[i] != that1.Labels[i] {
			return false
		}
	}
	return true
}
func (this *Slot) Equal(that interface{}) bool {
	if that == nil {
		return this == nil
	}

	that1, ok := that.(*Slot)
	if !ok {
		that2, ok := that.(Slot)
		if ok {
			that1 = &that2
		} else {
			return false
		}
	}
	if that1 == nil {
		return this == nil
	} else if this == nil {
		return false
	}
	if this.Status != that1.Status {
		return false
	}
	if !this.BeginTime.Equal(that1.BeginTime) {
		return false
	}
	if !this.EndTime.Equal(that1.EndTime) {
		return false
	}
	return true
}
func (this *CreateTimetableRequest) GoString() string {
	if this == nil {
		return "nil"
	}
	s := make([]string, 0, 5)
	s = append(s, "&apipb.CreateTimetableRequest{")
	if this.Timetable != nil {
		s = append(s, "Timetable: "+fmt.Sprintf("%#v", this.Timetable)+",\n")
	}
	s = append(s, "}")
	return strings.Join(s, "")
}
func (this *GetTimetableRequest) GoString() string {
	if this == nil {
		return "nil"
	}
	s := make([]string, 0, 5)
	s = append(s, "&apipb.GetTimetableRequest{")
	s = append(s, "Name: "+fmt.Sprintf("%#v", this.Name)+",\n")
	s = append(s, "}")
	return strings.Join(s, "")
}
func (this *ListTimetablesRequest) GoString() string {
	if this == nil {
		return "nil"
	}
	s := make([]string, 0, 7)
	s = append(s, "&apipb.ListTimetablesRequest{")
	s = append(s, "PageSize: "+fmt.Sprintf("%#v", this.PageSize)+",\n")
	s = append(s, "PageToken: "+fmt.Sprintf("%#v", this.PageToken)+",\n")
	s = append(s, "Filter: "+fmt.Sprintf("%#v", this.Filter)+",\n")
	s = append(s, "}")
	return strings.Join(s, "")
}
func (this *ListTimetablesResponse) GoString() string {
	if this == nil {
		return "nil"
	}
	s := make([]string, 0, 6)
	s = append(s, "&apipb.ListTimetablesResponse{")
	if this.Timetables != nil {
		s = append(s, "Timetables: "+fmt.Sprintf("%#v", this.Timetables)+",\n")
	}
	s = append(s, "NextPageToken: "+fmt.Sprintf("%#v", this.NextPageToken)+",\n")
	s = append(s, "}")
	return strings.Join(s, "")
}
func (this *CreateSlotRequest) GoString() string {
	if this == nil {
		return "nil"
	}
	s := make([]string, 0, 6)
	s = append(s, "&apipb.CreateSlotRequest{")
	s = append(s, "Parent: "+fmt.Sprintf("%#v", this.Parent)+",\n")
	if this.Slot != nil {
		s = append(s, "Slot: "+fmt.Sprintf("%#v", this.Slot)+",\n")
	}
	s = append(s, "}")
	return strings.Join(s, "")
}
func (this *GetSlotRequest) GoString() string {
	if this == nil {
		return "nil"
	}
	s := make([]string, 0, 5)
	s = append(s, "&apipb.GetSlotRequest{")
	s = append(s, "Name: "+fmt.Sprintf("%#v", this.Name)+",\n")
	s = append(s, "}")
	return strings.Join(s, "")
}
func (this *ListSlotsRequest) GoString() string {
	if this == nil {
		return "nil"
	}
	s := make([]string, 0, 7)
	s = append(s, "&apipb.ListSlotsRequest{")
	s = append(s, "Parent: "+fmt.Sprintf("%#v", this.Parent)+",\n")
	s = append(s, "PageSize: "+fmt.Sprintf("%#v", this.PageSize)+",\n")
	s = append(s, "PageToken: "+fmt.Sprintf("%#v", this.PageToken)+",\n")
	s = append(s, "}")
	return strings.Join(s, "")
}
func (this *ListSlotsResponse) GoString() string {
	if this == nil {
		return "nil"
	}
	s := make([]string, 0, 6)
	s = append(s, "&apipb.ListSlotsResponse{")
	if this.Slots != nil {
		s = append(s, "Slots: "+fmt.Sprintf("%#v", this.Slots)+",\n")
	}
	s = append(s, "NextPageToken: "+fmt.Sprintf("%#v", this.NextPageToken)+",\n")
	s = append(s, "}")
	return strings.Join(s, "")
}
func (this *Timetable) GoString() string {
	if this == nil {
		return "nil"
	}
	s := make([]string, 0, 6)
	s = append(s, "&apipb.Timetable{")
	s = append(s, "Name: "+fmt.Sprintf("%#v", this.Name)+",\n")
	keysForLabels := make([]string, 0, len(this.Labels))
	for k, _ := range this.Labels {
		keysForLabels = append(keysForLabels, k)
	}
	github_com_gogo_protobuf_sortkeys.Strings(keysForLabels)
	mapStringForLabels := "map[string]string{"
	for _, k := range keysForLabels {
		mapStringForLabels += fmt.Sprintf("%#v: %#v,", k, this.Labels[k])
	}
	mapStringForLabels += "}"
	if this.Labels != nil {
		s = append(s, "Labels: "+mapStringForLabels+",\n")
	}
	s = append(s, "}")
	return strings.Join(s, "")
}
func (this *Slot) GoString() string {
	if this == nil {
		return "nil"
	}
	s := make([]string, 0, 7)
	s = append(s, "&apipb.Slot{")
	s = append(s, "Status: "+fmt.Sprintf("%#v", this.Status)+",\n")
	if this.BeginTime != nil {
		s = append(s, "BeginTime: "+fmt.Sprintf("%#v", this.BeginTime)+",\n")
	}
	if this.EndTime != nil {
		s = append(s, "EndTime: "+fmt.Sprintf("%#v", this.EndTime)+",\n")
	}
	s = append(s, "}")
	return strings.Join(s, "")
}
func valueToGoStringTimetable(v interface{}, typ string) string {
	rv := reflect.ValueOf(v)
	if rv.IsNil() {
		return "nil"
	}
	pv := reflect.Indirect(rv).Interface()
	return fmt.Sprintf("func(v %v) *%v { return &v } ( %#v )", typ, typ, pv)
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// TimetableServiceClient is the client API for TimetableService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type TimetableServiceClient interface {
	CreateTimetable(ctx context.Context, in *CreateTimetableRequest, opts ...grpc.CallOption) (*Timetable, error)
	GetTimetable(ctx context.Context, in *GetTimetableRequest, opts ...grpc.CallOption) (*Timetable, error)
	ListTimetables(ctx context.Context, in *ListTimetablesRequest, opts ...grpc.CallOption) (*ListTimetablesResponse, error)
	CreateSlot(ctx context.Context, in *CreateSlotRequest, opts ...grpc.CallOption) (*Slot, error)
	GetSlot(ctx context.Context, in *GetSlotRequest, opts ...grpc.CallOption) (*Slot, error)
	ListSlots(ctx context.Context, in *ListSlotsRequest, opts ...grpc.CallOption) (*ListSlotsResponse, error)
}

type timetableServiceClient struct {
	cc *grpc.ClientConn
}

func NewTimetableServiceClient(cc *grpc.ClientConn) TimetableServiceClient {
	return &timetableServiceClient{cc}
}

func (c *timetableServiceClient) CreateTimetable(ctx context.Context, in *CreateTimetableRequest, opts ...grpc.CallOption) (*Timetable, error) {
	out := new(Timetable)
	err := c.cc.Invoke(ctx, "/adventuscalendar.api.TimetableService/CreateTimetable", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *timetableServiceClient) GetTimetable(ctx context.Context, in *GetTimetableRequest, opts ...grpc.CallOption) (*Timetable, error) {
	out := new(Timetable)
	err := c.cc.Invoke(ctx, "/adventuscalendar.api.TimetableService/GetTimetable", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *timetableServiceClient) ListTimetables(ctx context.Context, in *ListTimetablesRequest, opts ...grpc.CallOption) (*ListTimetablesResponse, error) {
	out := new(ListTimetablesResponse)
	err := c.cc.Invoke(ctx, "/adventuscalendar.api.TimetableService/ListTimetables", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *timetableServiceClient) CreateSlot(ctx context.Context, in *CreateSlotRequest, opts ...grpc.CallOption) (*Slot, error) {
	out := new(Slot)
	err := c.cc.Invoke(ctx, "/adventuscalendar.api.TimetableService/CreateSlot", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *timetableServiceClient) GetSlot(ctx context.Context, in *GetSlotRequest, opts ...grpc.CallOption) (*Slot, error) {
	out := new(Slot)
	err := c.cc.Invoke(ctx, "/adventuscalendar.api.TimetableService/GetSlot", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *timetableServiceClient) ListSlots(ctx context.Context, in *ListSlotsRequest, opts ...grpc.CallOption) (*ListSlotsResponse, error) {
	out := new(ListSlotsResponse)
	err := c.cc.Invoke(ctx, "/adventuscalendar.api.TimetableService/ListSlots", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// TimetableServiceServer is the server API for TimetableService service.
type TimetableServiceServer interface {
	CreateTimetable(context.Context, *CreateTimetableRequest) (*Timetable, error)
	GetTimetable(context.Context, *GetTimetableRequest) (*Timetable, error)
	ListTimetables(context.Context, *ListTimetablesRequest) (*ListTimetablesResponse, error)
	CreateSlot(context.Context, *CreateSlotRequest) (*Slot, error)
	GetSlot(context.Context, *GetSlotRequest) (*Slot, error)
	ListSlots(context.Context, *ListSlotsRequest) (*ListSlotsResponse, error)
}

func RegisterTimetableServiceServer(s *grpc.Server, srv TimetableServiceServer) {
	s.RegisterService(&_TimetableService_serviceDesc, srv)
}

func _TimetableService_CreateTimetable_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateTimetableRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TimetableServiceServer).CreateTimetable(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/adventuscalendar.api.TimetableService/CreateTimetable",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TimetableServiceServer).CreateTimetable(ctx, req.(*CreateTimetableRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _TimetableService_GetTimetable_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetTimetableRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TimetableServiceServer).GetTimetable(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/adventuscalendar.api.TimetableService/GetTimetable",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TimetableServiceServer).GetTimetable(ctx, req.(*GetTimetableRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _TimetableService_ListTimetables_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListTimetablesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TimetableServiceServer).ListTimetables(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/adventuscalendar.api.TimetableService/ListTimetables",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TimetableServiceServer).ListTimetables(ctx, req.(*ListTimetablesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _TimetableService_CreateSlot_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateSlotRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TimetableServiceServer).CreateSlot(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/adventuscalendar.api.TimetableService/CreateSlot",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TimetableServiceServer).CreateSlot(ctx, req.(*CreateSlotRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _TimetableService_GetSlot_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetSlotRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TimetableServiceServer).GetSlot(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/adventuscalendar.api.TimetableService/GetSlot",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TimetableServiceServer).GetSlot(ctx, req.(*GetSlotRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _TimetableService_ListSlots_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListSlotsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TimetableServiceServer).ListSlots(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/adventuscalendar.api.TimetableService/ListSlots",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TimetableServiceServer).ListSlots(ctx, req.(*ListSlotsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _TimetableService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "adventuscalendar.api.TimetableService",
	HandlerType: (*TimetableServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "CreateTimetable",
			Handler:    _TimetableService_CreateTimetable_Handler,
		},
		{
			MethodName: "GetTimetable",
			Handler:    _TimetableService_GetTimetable_Handler,
		},
		{
			MethodName: "ListTimetables",
			Handler:    _TimetableService_ListTimetables_Handler,
		},
		{
			MethodName: "CreateSlot",
			Handler:    _TimetableService_CreateSlot_Handler,
		},
		{
			MethodName: "GetSlot",
			Handler:    _TimetableService_GetSlot_Handler,
		},
		{
			MethodName: "ListSlots",
			Handler:    _TimetableService_ListSlots_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "adventuscalendar/api/timetable.proto",
}

func (m *CreateTimetableRequest) Marshal() (dAtA []byte, err error) {
	size := m.Size()
	dAtA = make([]byte, size)
	n, err := m.MarshalTo(dAtA)
	if err != nil {
		return nil, err
	}
	return dAtA[:n], nil
}

func (m *CreateTimetableRequest) MarshalTo(dAtA []byte) (int, error) {
	var i int
	_ = i
	var l int
	_ = l
	if m.Timetable != nil {
		dAtA[i] = 0x12
		i++
		i = encodeVarintTimetable(dAtA, i, uint64(m.Timetable.Size()))
		n1, err := m.Timetable.MarshalTo(dAtA[i:])
		if err != nil {
			return 0, err
		}
		i += n1
	}
	return i, nil
}

func (m *GetTimetableRequest) Marshal() (dAtA []byte, err error) {
	size := m.Size()
	dAtA = make([]byte, size)
	n, err := m.MarshalTo(dAtA)
	if err != nil {
		return nil, err
	}
	return dAtA[:n], nil
}

func (m *GetTimetableRequest) MarshalTo(dAtA []byte) (int, error) {
	var i int
	_ = i
	var l int
	_ = l
	if len(m.Name) > 0 {
		dAtA[i] = 0xa
		i++
		i = encodeVarintTimetable(dAtA, i, uint64(len(m.Name)))
		i += copy(dAtA[i:], m.Name)
	}
	return i, nil
}

func (m *ListTimetablesRequest) Marshal() (dAtA []byte, err error) {
	size := m.Size()
	dAtA = make([]byte, size)
	n, err := m.MarshalTo(dAtA)
	if err != nil {
		return nil, err
	}
	return dAtA[:n], nil
}

func (m *ListTimetablesRequest) MarshalTo(dAtA []byte) (int, error) {
	var i int
	_ = i
	var l int
	_ = l
	if m.PageSize != 0 {
		dAtA[i] = 0x10
		i++
		i = encodeVarintTimetable(dAtA, i, uint64(m.PageSize))
	}
	if len(m.PageToken) > 0 {
		dAtA[i] = 0x1a
		i++
		i = encodeVarintTimetable(dAtA, i, uint64(len(m.PageToken)))
		i += copy(dAtA[i:], m.PageToken)
	}
	if len(m.Filter) > 0 {
		dAtA[i] = 0x22
		i++
		i = encodeVarintTimetable(dAtA, i, uint64(len(m.Filter)))
		i += copy(dAtA[i:], m.Filter)
	}
	return i, nil
}

func (m *ListTimetablesResponse) Marshal() (dAtA []byte, err error) {
	size := m.Size()
	dAtA = make([]byte, size)
	n, err := m.MarshalTo(dAtA)
	if err != nil {
		return nil, err
	}
	return dAtA[:n], nil
}

func (m *ListTimetablesResponse) MarshalTo(dAtA []byte) (int, error) {
	var i int
	_ = i
	var l int
	_ = l
	if len(m.Timetables) > 0 {
		for _, msg := range m.Timetables {
			dAtA[i] = 0xa
			i++
			i = encodeVarintTimetable(dAtA, i, uint64(msg.Size()))
			n, err := msg.MarshalTo(dAtA[i:])
			if err != nil {
				return 0, err
			}
			i += n
		}
	}
	if len(m.NextPageToken) > 0 {
		dAtA[i] = 0x12
		i++
		i = encodeVarintTimetable(dAtA, i, uint64(len(m.NextPageToken)))
		i += copy(dAtA[i:], m.NextPageToken)
	}
	return i, nil
}

func (m *CreateSlotRequest) Marshal() (dAtA []byte, err error) {
	size := m.Size()
	dAtA = make([]byte, size)
	n, err := m.MarshalTo(dAtA)
	if err != nil {
		return nil, err
	}
	return dAtA[:n], nil
}

func (m *CreateSlotRequest) MarshalTo(dAtA []byte) (int, error) {
	var i int
	_ = i
	var l int
	_ = l
	if len(m.Parent) > 0 {
		dAtA[i] = 0xa
		i++
		i = encodeVarintTimetable(dAtA, i, uint64(len(m.Parent)))
		i += copy(dAtA[i:], m.Parent)
	}
	if m.Slot != nil {
		dAtA[i] = 0x12
		i++
		i = encodeVarintTimetable(dAtA, i, uint64(m.Slot.Size()))
		n2, err := m.Slot.MarshalTo(dAtA[i:])
		if err != nil {
			return 0, err
		}
		i += n2
	}
	return i, nil
}

func (m *GetSlotRequest) Marshal() (dAtA []byte, err error) {
	size := m.Size()
	dAtA = make([]byte, size)
	n, err := m.MarshalTo(dAtA)
	if err != nil {
		return nil, err
	}
	return dAtA[:n], nil
}

func (m *GetSlotRequest) MarshalTo(dAtA []byte) (int, error) {
	var i int
	_ = i
	var l int
	_ = l
	if len(m.Name) > 0 {
		dAtA[i] = 0xa
		i++
		i = encodeVarintTimetable(dAtA, i, uint64(len(m.Name)))
		i += copy(dAtA[i:], m.Name)
	}
	return i, nil
}

func (m *ListSlotsRequest) Marshal() (dAtA []byte, err error) {
	size := m.Size()
	dAtA = make([]byte, size)
	n, err := m.MarshalTo(dAtA)
	if err != nil {
		return nil, err
	}
	return dAtA[:n], nil
}

func (m *ListSlotsRequest) MarshalTo(dAtA []byte) (int, error) {
	var i int
	_ = i
	var l int
	_ = l
	if len(m.Parent) > 0 {
		dAtA[i] = 0xa
		i++
		i = encodeVarintTimetable(dAtA, i, uint64(len(m.Parent)))
		i += copy(dAtA[i:], m.Parent)
	}
	if m.PageSize != 0 {
		dAtA[i] = 0x10
		i++
		i = encodeVarintTimetable(dAtA, i, uint64(m.PageSize))
	}
	if len(m.PageToken) > 0 {
		dAtA[i] = 0x1a
		i++
		i = encodeVarintTimetable(dAtA, i, uint64(len(m.PageToken)))
		i += copy(dAtA[i:], m.PageToken)
	}
	return i, nil
}

func (m *ListSlotsResponse) Marshal() (dAtA []byte, err error) {
	size := m.Size()
	dAtA = make([]byte, size)
	n, err := m.MarshalTo(dAtA)
	if err != nil {
		return nil, err
	}
	return dAtA[:n], nil
}

func (m *ListSlotsResponse) MarshalTo(dAtA []byte) (int, error) {
	var i int
	_ = i
	var l int
	_ = l
	if len(m.Slots) > 0 {
		for _, msg := range m.Slots {
			dAtA[i] = 0xa
			i++
			i = encodeVarintTimetable(dAtA, i, uint64(msg.Size()))
			n, err := msg.MarshalTo(dAtA[i:])
			if err != nil {
				return 0, err
			}
			i += n
		}
	}
	if len(m.NextPageToken) > 0 {
		dAtA[i] = 0x12
		i++
		i = encodeVarintTimetable(dAtA, i, uint64(len(m.NextPageToken)))
		i += copy(dAtA[i:], m.NextPageToken)
	}
	return i, nil
}

func (m *Timetable) Marshal() (dAtA []byte, err error) {
	size := m.Size()
	dAtA = make([]byte, size)
	n, err := m.MarshalTo(dAtA)
	if err != nil {
		return nil, err
	}
	return dAtA[:n], nil
}

func (m *Timetable) MarshalTo(dAtA []byte) (int, error) {
	var i int
	_ = i
	var l int
	_ = l
	if len(m.Name) > 0 {
		dAtA[i] = 0xa
		i++
		i = encodeVarintTimetable(dAtA, i, uint64(len(m.Name)))
		i += copy(dAtA[i:], m.Name)
	}
	if len(m.Labels) > 0 {
		for k, _ := range m.Labels {
			dAtA[i] = 0x12
			i++
			v := m.Labels[k]
			mapSize := 1 + len(k) + sovTimetable(uint64(len(k))) + 1 + len(v) + sovTimetable(uint64(len(v)))
			i = encodeVarintTimetable(dAtA, i, uint64(mapSize))
			dAtA[i] = 0xa
			i++
			i = encodeVarintTimetable(dAtA, i, uint64(len(k)))
			i += copy(dAtA[i:], k)
			dAtA[i] = 0x12
			i++
			i = encodeVarintTimetable(dAtA, i, uint64(len(v)))
			i += copy(dAtA[i:], v)
		}
	}
	return i, nil
}

func (m *Slot) Marshal() (dAtA []byte, err error) {
	size := m.Size()
	dAtA = make([]byte, size)
	n, err := m.MarshalTo(dAtA)
	if err != nil {
		return nil, err
	}
	return dAtA[:n], nil
}

func (m *Slot) MarshalTo(dAtA []byte) (int, error) {
	var i int
	_ = i
	var l int
	_ = l
	if m.Status != 0 {
		dAtA[i] = 0x8
		i++
		i = encodeVarintTimetable(dAtA, i, uint64(m.Status))
	}
	if m.BeginTime != nil {
		dAtA[i] = 0x12
		i++
		i = encodeVarintTimetable(dAtA, i, uint64(m.BeginTime.Size()))
		n3, err := m.BeginTime.MarshalTo(dAtA[i:])
		if err != nil {
			return 0, err
		}
		i += n3
	}
	if m.EndTime != nil {
		dAtA[i] = 0x1a
		i++
		i = encodeVarintTimetable(dAtA, i, uint64(m.EndTime.Size()))
		n4, err := m.EndTime.MarshalTo(dAtA[i:])
		if err != nil {
			return 0, err
		}
		i += n4
	}
	return i, nil
}

func encodeVarintTimetable(dAtA []byte, offset int, v uint64) int {
	for v >= 1<<7 {
		dAtA[offset] = uint8(v&0x7f | 0x80)
		v >>= 7
		offset++
	}
	dAtA[offset] = uint8(v)
	return offset + 1
}
func (m *CreateTimetableRequest) Size() (n int) {
	if m == nil {
		return 0
	}
	var l int
	_ = l
	if m.Timetable != nil {
		l = m.Timetable.Size()
		n += 1 + l + sovTimetable(uint64(l))
	}
	return n
}

func (m *GetTimetableRequest) Size() (n int) {
	if m == nil {
		return 0
	}
	var l int
	_ = l
	l = len(m.Name)
	if l > 0 {
		n += 1 + l + sovTimetable(uint64(l))
	}
	return n
}

func (m *ListTimetablesRequest) Size() (n int) {
	if m == nil {
		return 0
	}
	var l int
	_ = l
	if m.PageSize != 0 {
		n += 1 + sovTimetable(uint64(m.PageSize))
	}
	l = len(m.PageToken)
	if l > 0 {
		n += 1 + l + sovTimetable(uint64(l))
	}
	l = len(m.Filter)
	if l > 0 {
		n += 1 + l + sovTimetable(uint64(l))
	}
	return n
}

func (m *ListTimetablesResponse) Size() (n int) {
	if m == nil {
		return 0
	}
	var l int
	_ = l
	if len(m.Timetables) > 0 {
		for _, e := range m.Timetables {
			l = e.Size()
			n += 1 + l + sovTimetable(uint64(l))
		}
	}
	l = len(m.NextPageToken)
	if l > 0 {
		n += 1 + l + sovTimetable(uint64(l))
	}
	return n
}

func (m *CreateSlotRequest) Size() (n int) {
	if m == nil {
		return 0
	}
	var l int
	_ = l
	l = len(m.Parent)
	if l > 0 {
		n += 1 + l + sovTimetable(uint64(l))
	}
	if m.Slot != nil {
		l = m.Slot.Size()
		n += 1 + l + sovTimetable(uint64(l))
	}
	return n
}

func (m *GetSlotRequest) Size() (n int) {
	if m == nil {
		return 0
	}
	var l int
	_ = l
	l = len(m.Name)
	if l > 0 {
		n += 1 + l + sovTimetable(uint64(l))
	}
	return n
}

func (m *ListSlotsRequest) Size() (n int) {
	if m == nil {
		return 0
	}
	var l int
	_ = l
	l = len(m.Parent)
	if l > 0 {
		n += 1 + l + sovTimetable(uint64(l))
	}
	if m.PageSize != 0 {
		n += 1 + sovTimetable(uint64(m.PageSize))
	}
	l = len(m.PageToken)
	if l > 0 {
		n += 1 + l + sovTimetable(uint64(l))
	}
	return n
}

func (m *ListSlotsResponse) Size() (n int) {
	if m == nil {
		return 0
	}
	var l int
	_ = l
	if len(m.Slots) > 0 {
		for _, e := range m.Slots {
			l = e.Size()
			n += 1 + l + sovTimetable(uint64(l))
		}
	}
	l = len(m.NextPageToken)
	if l > 0 {
		n += 1 + l + sovTimetable(uint64(l))
	}
	return n
}

func (m *Timetable) Size() (n int) {
	if m == nil {
		return 0
	}
	var l int
	_ = l
	l = len(m.Name)
	if l > 0 {
		n += 1 + l + sovTimetable(uint64(l))
	}
	if len(m.Labels) > 0 {
		for k, v := range m.Labels {
			_ = k
			_ = v
			mapEntrySize := 1 + len(k) + sovTimetable(uint64(len(k))) + 1 + len(v) + sovTimetable(uint64(len(v)))
			n += mapEntrySize + 1 + sovTimetable(uint64(mapEntrySize))
		}
	}
	return n
}

func (m *Slot) Size() (n int) {
	if m == nil {
		return 0
	}
	var l int
	_ = l
	if m.Status != 0 {
		n += 1 + sovTimetable(uint64(m.Status))
	}
	if m.BeginTime != nil {
		l = m.BeginTime.Size()
		n += 1 + l + sovTimetable(uint64(l))
	}
	if m.EndTime != nil {
		l = m.EndTime.Size()
		n += 1 + l + sovTimetable(uint64(l))
	}
	return n
}

func sovTimetable(x uint64) (n int) {
	for {
		n++
		x >>= 7
		if x == 0 {
			break
		}
	}
	return n
}
func sozTimetable(x uint64) (n int) {
	return sovTimetable(uint64((x << 1) ^ uint64((int64(x) >> 63))))
}
func (this *CreateTimetableRequest) String() string {
	if this == nil {
		return "nil"
	}
	s := strings.Join([]string{`&CreateTimetableRequest{`,
		`Timetable:` + strings.Replace(fmt.Sprintf("%v", this.Timetable), "Timetable", "Timetable", 1) + `,`,
		`}`,
	}, "")
	return s
}
func (this *GetTimetableRequest) String() string {
	if this == nil {
		return "nil"
	}
	s := strings.Join([]string{`&GetTimetableRequest{`,
		`Name:` + fmt.Sprintf("%v", this.Name) + `,`,
		`}`,
	}, "")
	return s
}
func (this *ListTimetablesRequest) String() string {
	if this == nil {
		return "nil"
	}
	s := strings.Join([]string{`&ListTimetablesRequest{`,
		`PageSize:` + fmt.Sprintf("%v", this.PageSize) + `,`,
		`PageToken:` + fmt.Sprintf("%v", this.PageToken) + `,`,
		`Filter:` + fmt.Sprintf("%v", this.Filter) + `,`,
		`}`,
	}, "")
	return s
}
func (this *ListTimetablesResponse) String() string {
	if this == nil {
		return "nil"
	}
	s := strings.Join([]string{`&ListTimetablesResponse{`,
		`Timetables:` + strings.Replace(fmt.Sprintf("%v", this.Timetables), "Timetable", "Timetable", 1) + `,`,
		`NextPageToken:` + fmt.Sprintf("%v", this.NextPageToken) + `,`,
		`}`,
	}, "")
	return s
}
func (this *CreateSlotRequest) String() string {
	if this == nil {
		return "nil"
	}
	s := strings.Join([]string{`&CreateSlotRequest{`,
		`Parent:` + fmt.Sprintf("%v", this.Parent) + `,`,
		`Slot:` + strings.Replace(fmt.Sprintf("%v", this.Slot), "Slot", "Slot", 1) + `,`,
		`}`,
	}, "")
	return s
}
func (this *GetSlotRequest) String() string {
	if this == nil {
		return "nil"
	}
	s := strings.Join([]string{`&GetSlotRequest{`,
		`Name:` + fmt.Sprintf("%v", this.Name) + `,`,
		`}`,
	}, "")
	return s
}
func (this *ListSlotsRequest) String() string {
	if this == nil {
		return "nil"
	}
	s := strings.Join([]string{`&ListSlotsRequest{`,
		`Parent:` + fmt.Sprintf("%v", this.Parent) + `,`,
		`PageSize:` + fmt.Sprintf("%v", this.PageSize) + `,`,
		`PageToken:` + fmt.Sprintf("%v", this.PageToken) + `,`,
		`}`,
	}, "")
	return s
}
func (this *ListSlotsResponse) String() string {
	if this == nil {
		return "nil"
	}
	s := strings.Join([]string{`&ListSlotsResponse{`,
		`Slots:` + strings.Replace(fmt.Sprintf("%v", this.Slots), "Slot", "Slot", 1) + `,`,
		`NextPageToken:` + fmt.Sprintf("%v", this.NextPageToken) + `,`,
		`}`,
	}, "")
	return s
}
func (this *Timetable) String() string {
	if this == nil {
		return "nil"
	}
	keysForLabels := make([]string, 0, len(this.Labels))
	for k, _ := range this.Labels {
		keysForLabels = append(keysForLabels, k)
	}
	github_com_gogo_protobuf_sortkeys.Strings(keysForLabels)
	mapStringForLabels := "map[string]string{"
	for _, k := range keysForLabels {
		mapStringForLabels += fmt.Sprintf("%v: %v,", k, this.Labels[k])
	}
	mapStringForLabels += "}"
	s := strings.Join([]string{`&Timetable{`,
		`Name:` + fmt.Sprintf("%v", this.Name) + `,`,
		`Labels:` + mapStringForLabels + `,`,
		`}`,
	}, "")
	return s
}
func (this *Slot) String() string {
	if this == nil {
		return "nil"
	}
	s := strings.Join([]string{`&Slot{`,
		`Status:` + fmt.Sprintf("%v", this.Status) + `,`,
		`BeginTime:` + strings.Replace(fmt.Sprintf("%v", this.BeginTime), "Timestamp", "types.Timestamp", 1) + `,`,
		`EndTime:` + strings.Replace(fmt.Sprintf("%v", this.EndTime), "Timestamp", "types.Timestamp", 1) + `,`,
		`}`,
	}, "")
	return s
}
func valueToStringTimetable(v interface{}) string {
	rv := reflect.ValueOf(v)
	if rv.IsNil() {
		return "nil"
	}
	pv := reflect.Indirect(rv).Interface()
	return fmt.Sprintf("*%v", pv)
}
func (m *CreateTimetableRequest) Unmarshal(dAtA []byte) error {
	l := len(dAtA)
	iNdEx := 0
	for iNdEx < l {
		preIndex := iNdEx
		var wire uint64
		for shift := uint(0); ; shift += 7 {
			if shift >= 64 {
				return ErrIntOverflowTimetable
			}
			if iNdEx >= l {
				return io.ErrUnexpectedEOF
			}
			b := dAtA[iNdEx]
			iNdEx++
			wire |= (uint64(b) & 0x7F) << shift
			if b < 0x80 {
				break
			}
		}
		fieldNum := int32(wire >> 3)
		wireType := int(wire & 0x7)
		if wireType == 4 {
			return fmt.Errorf("proto: CreateTimetableRequest: wiretype end group for non-group")
		}
		if fieldNum <= 0 {
			return fmt.Errorf("proto: CreateTimetableRequest: illegal tag %d (wire type %d)", fieldNum, wire)
		}
		switch fieldNum {
		case 2:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field Timetable", wireType)
			}
			var msglen int
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTimetable
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				msglen |= (int(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			if msglen < 0 {
				return ErrInvalidLengthTimetable
			}
			postIndex := iNdEx + msglen
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			if m.Timetable == nil {
				m.Timetable = &Timetable{}
			}
			if err := m.Timetable.Unmarshal(dAtA[iNdEx:postIndex]); err != nil {
				return err
			}
			iNdEx = postIndex
		default:
			iNdEx = preIndex
			skippy, err := skipTimetable(dAtA[iNdEx:])
			if err != nil {
				return err
			}
			if skippy < 0 {
				return ErrInvalidLengthTimetable
			}
			if (iNdEx + skippy) > l {
				return io.ErrUnexpectedEOF
			}
			iNdEx += skippy
		}
	}

	if iNdEx > l {
		return io.ErrUnexpectedEOF
	}
	return nil
}
func (m *GetTimetableRequest) Unmarshal(dAtA []byte) error {
	l := len(dAtA)
	iNdEx := 0
	for iNdEx < l {
		preIndex := iNdEx
		var wire uint64
		for shift := uint(0); ; shift += 7 {
			if shift >= 64 {
				return ErrIntOverflowTimetable
			}
			if iNdEx >= l {
				return io.ErrUnexpectedEOF
			}
			b := dAtA[iNdEx]
			iNdEx++
			wire |= (uint64(b) & 0x7F) << shift
			if b < 0x80 {
				break
			}
		}
		fieldNum := int32(wire >> 3)
		wireType := int(wire & 0x7)
		if wireType == 4 {
			return fmt.Errorf("proto: GetTimetableRequest: wiretype end group for non-group")
		}
		if fieldNum <= 0 {
			return fmt.Errorf("proto: GetTimetableRequest: illegal tag %d (wire type %d)", fieldNum, wire)
		}
		switch fieldNum {
		case 1:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field Name", wireType)
			}
			var stringLen uint64
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTimetable
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				stringLen |= (uint64(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			intStringLen := int(stringLen)
			if intStringLen < 0 {
				return ErrInvalidLengthTimetable
			}
			postIndex := iNdEx + intStringLen
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			m.Name = string(dAtA[iNdEx:postIndex])
			iNdEx = postIndex
		default:
			iNdEx = preIndex
			skippy, err := skipTimetable(dAtA[iNdEx:])
			if err != nil {
				return err
			}
			if skippy < 0 {
				return ErrInvalidLengthTimetable
			}
			if (iNdEx + skippy) > l {
				return io.ErrUnexpectedEOF
			}
			iNdEx += skippy
		}
	}

	if iNdEx > l {
		return io.ErrUnexpectedEOF
	}
	return nil
}
func (m *ListTimetablesRequest) Unmarshal(dAtA []byte) error {
	l := len(dAtA)
	iNdEx := 0
	for iNdEx < l {
		preIndex := iNdEx
		var wire uint64
		for shift := uint(0); ; shift += 7 {
			if shift >= 64 {
				return ErrIntOverflowTimetable
			}
			if iNdEx >= l {
				return io.ErrUnexpectedEOF
			}
			b := dAtA[iNdEx]
			iNdEx++
			wire |= (uint64(b) & 0x7F) << shift
			if b < 0x80 {
				break
			}
		}
		fieldNum := int32(wire >> 3)
		wireType := int(wire & 0x7)
		if wireType == 4 {
			return fmt.Errorf("proto: ListTimetablesRequest: wiretype end group for non-group")
		}
		if fieldNum <= 0 {
			return fmt.Errorf("proto: ListTimetablesRequest: illegal tag %d (wire type %d)", fieldNum, wire)
		}
		switch fieldNum {
		case 2:
			if wireType != 0 {
				return fmt.Errorf("proto: wrong wireType = %d for field PageSize", wireType)
			}
			m.PageSize = 0
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTimetable
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				m.PageSize |= (int32(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
		case 3:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field PageToken", wireType)
			}
			var stringLen uint64
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTimetable
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				stringLen |= (uint64(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			intStringLen := int(stringLen)
			if intStringLen < 0 {
				return ErrInvalidLengthTimetable
			}
			postIndex := iNdEx + intStringLen
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			m.PageToken = string(dAtA[iNdEx:postIndex])
			iNdEx = postIndex
		case 4:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field Filter", wireType)
			}
			var stringLen uint64
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTimetable
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				stringLen |= (uint64(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			intStringLen := int(stringLen)
			if intStringLen < 0 {
				return ErrInvalidLengthTimetable
			}
			postIndex := iNdEx + intStringLen
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			m.Filter = string(dAtA[iNdEx:postIndex])
			iNdEx = postIndex
		default:
			iNdEx = preIndex
			skippy, err := skipTimetable(dAtA[iNdEx:])
			if err != nil {
				return err
			}
			if skippy < 0 {
				return ErrInvalidLengthTimetable
			}
			if (iNdEx + skippy) > l {
				return io.ErrUnexpectedEOF
			}
			iNdEx += skippy
		}
	}

	if iNdEx > l {
		return io.ErrUnexpectedEOF
	}
	return nil
}
func (m *ListTimetablesResponse) Unmarshal(dAtA []byte) error {
	l := len(dAtA)
	iNdEx := 0
	for iNdEx < l {
		preIndex := iNdEx
		var wire uint64
		for shift := uint(0); ; shift += 7 {
			if shift >= 64 {
				return ErrIntOverflowTimetable
			}
			if iNdEx >= l {
				return io.ErrUnexpectedEOF
			}
			b := dAtA[iNdEx]
			iNdEx++
			wire |= (uint64(b) & 0x7F) << shift
			if b < 0x80 {
				break
			}
		}
		fieldNum := int32(wire >> 3)
		wireType := int(wire & 0x7)
		if wireType == 4 {
			return fmt.Errorf("proto: ListTimetablesResponse: wiretype end group for non-group")
		}
		if fieldNum <= 0 {
			return fmt.Errorf("proto: ListTimetablesResponse: illegal tag %d (wire type %d)", fieldNum, wire)
		}
		switch fieldNum {
		case 1:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field Timetables", wireType)
			}
			var msglen int
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTimetable
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				msglen |= (int(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			if msglen < 0 {
				return ErrInvalidLengthTimetable
			}
			postIndex := iNdEx + msglen
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			m.Timetables = append(m.Timetables, &Timetable{})
			if err := m.Timetables[len(m.Timetables)-1].Unmarshal(dAtA[iNdEx:postIndex]); err != nil {
				return err
			}
			iNdEx = postIndex
		case 2:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field NextPageToken", wireType)
			}
			var stringLen uint64
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTimetable
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				stringLen |= (uint64(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			intStringLen := int(stringLen)
			if intStringLen < 0 {
				return ErrInvalidLengthTimetable
			}
			postIndex := iNdEx + intStringLen
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			m.NextPageToken = string(dAtA[iNdEx:postIndex])
			iNdEx = postIndex
		default:
			iNdEx = preIndex
			skippy, err := skipTimetable(dAtA[iNdEx:])
			if err != nil {
				return err
			}
			if skippy < 0 {
				return ErrInvalidLengthTimetable
			}
			if (iNdEx + skippy) > l {
				return io.ErrUnexpectedEOF
			}
			iNdEx += skippy
		}
	}

	if iNdEx > l {
		return io.ErrUnexpectedEOF
	}
	return nil
}
func (m *CreateSlotRequest) Unmarshal(dAtA []byte) error {
	l := len(dAtA)
	iNdEx := 0
	for iNdEx < l {
		preIndex := iNdEx
		var wire uint64
		for shift := uint(0); ; shift += 7 {
			if shift >= 64 {
				return ErrIntOverflowTimetable
			}
			if iNdEx >= l {
				return io.ErrUnexpectedEOF
			}
			b := dAtA[iNdEx]
			iNdEx++
			wire |= (uint64(b) & 0x7F) << shift
			if b < 0x80 {
				break
			}
		}
		fieldNum := int32(wire >> 3)
		wireType := int(wire & 0x7)
		if wireType == 4 {
			return fmt.Errorf("proto: CreateSlotRequest: wiretype end group for non-group")
		}
		if fieldNum <= 0 {
			return fmt.Errorf("proto: CreateSlotRequest: illegal tag %d (wire type %d)", fieldNum, wire)
		}
		switch fieldNum {
		case 1:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field Parent", wireType)
			}
			var stringLen uint64
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTimetable
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				stringLen |= (uint64(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			intStringLen := int(stringLen)
			if intStringLen < 0 {
				return ErrInvalidLengthTimetable
			}
			postIndex := iNdEx + intStringLen
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			m.Parent = string(dAtA[iNdEx:postIndex])
			iNdEx = postIndex
		case 2:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field Slot", wireType)
			}
			var msglen int
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTimetable
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				msglen |= (int(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			if msglen < 0 {
				return ErrInvalidLengthTimetable
			}
			postIndex := iNdEx + msglen
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			if m.Slot == nil {
				m.Slot = &Slot{}
			}
			if err := m.Slot.Unmarshal(dAtA[iNdEx:postIndex]); err != nil {
				return err
			}
			iNdEx = postIndex
		default:
			iNdEx = preIndex
			skippy, err := skipTimetable(dAtA[iNdEx:])
			if err != nil {
				return err
			}
			if skippy < 0 {
				return ErrInvalidLengthTimetable
			}
			if (iNdEx + skippy) > l {
				return io.ErrUnexpectedEOF
			}
			iNdEx += skippy
		}
	}

	if iNdEx > l {
		return io.ErrUnexpectedEOF
	}
	return nil
}
func (m *GetSlotRequest) Unmarshal(dAtA []byte) error {
	l := len(dAtA)
	iNdEx := 0
	for iNdEx < l {
		preIndex := iNdEx
		var wire uint64
		for shift := uint(0); ; shift += 7 {
			if shift >= 64 {
				return ErrIntOverflowTimetable
			}
			if iNdEx >= l {
				return io.ErrUnexpectedEOF
			}
			b := dAtA[iNdEx]
			iNdEx++
			wire |= (uint64(b) & 0x7F) << shift
			if b < 0x80 {
				break
			}
		}
		fieldNum := int32(wire >> 3)
		wireType := int(wire & 0x7)
		if wireType == 4 {
			return fmt.Errorf("proto: GetSlotRequest: wiretype end group for non-group")
		}
		if fieldNum <= 0 {
			return fmt.Errorf("proto: GetSlotRequest: illegal tag %d (wire type %d)", fieldNum, wire)
		}
		switch fieldNum {
		case 1:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field Name", wireType)
			}
			var stringLen uint64
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTimetable
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				stringLen |= (uint64(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			intStringLen := int(stringLen)
			if intStringLen < 0 {
				return ErrInvalidLengthTimetable
			}
			postIndex := iNdEx + intStringLen
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			m.Name = string(dAtA[iNdEx:postIndex])
			iNdEx = postIndex
		default:
			iNdEx = preIndex
			skippy, err := skipTimetable(dAtA[iNdEx:])
			if err != nil {
				return err
			}
			if skippy < 0 {
				return ErrInvalidLengthTimetable
			}
			if (iNdEx + skippy) > l {
				return io.ErrUnexpectedEOF
			}
			iNdEx += skippy
		}
	}

	if iNdEx > l {
		return io.ErrUnexpectedEOF
	}
	return nil
}
func (m *ListSlotsRequest) Unmarshal(dAtA []byte) error {
	l := len(dAtA)
	iNdEx := 0
	for iNdEx < l {
		preIndex := iNdEx
		var wire uint64
		for shift := uint(0); ; shift += 7 {
			if shift >= 64 {
				return ErrIntOverflowTimetable
			}
			if iNdEx >= l {
				return io.ErrUnexpectedEOF
			}
			b := dAtA[iNdEx]
			iNdEx++
			wire |= (uint64(b) & 0x7F) << shift
			if b < 0x80 {
				break
			}
		}
		fieldNum := int32(wire >> 3)
		wireType := int(wire & 0x7)
		if wireType == 4 {
			return fmt.Errorf("proto: ListSlotsRequest: wiretype end group for non-group")
		}
		if fieldNum <= 0 {
			return fmt.Errorf("proto: ListSlotsRequest: illegal tag %d (wire type %d)", fieldNum, wire)
		}
		switch fieldNum {
		case 1:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field Parent", wireType)
			}
			var stringLen uint64
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTimetable
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				stringLen |= (uint64(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			intStringLen := int(stringLen)
			if intStringLen < 0 {
				return ErrInvalidLengthTimetable
			}
			postIndex := iNdEx + intStringLen
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			m.Parent = string(dAtA[iNdEx:postIndex])
			iNdEx = postIndex
		case 2:
			if wireType != 0 {
				return fmt.Errorf("proto: wrong wireType = %d for field PageSize", wireType)
			}
			m.PageSize = 0
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTimetable
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				m.PageSize |= (int32(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
		case 3:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field PageToken", wireType)
			}
			var stringLen uint64
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTimetable
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				stringLen |= (uint64(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			intStringLen := int(stringLen)
			if intStringLen < 0 {
				return ErrInvalidLengthTimetable
			}
			postIndex := iNdEx + intStringLen
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			m.PageToken = string(dAtA[iNdEx:postIndex])
			iNdEx = postIndex
		default:
			iNdEx = preIndex
			skippy, err := skipTimetable(dAtA[iNdEx:])
			if err != nil {
				return err
			}
			if skippy < 0 {
				return ErrInvalidLengthTimetable
			}
			if (iNdEx + skippy) > l {
				return io.ErrUnexpectedEOF
			}
			iNdEx += skippy
		}
	}

	if iNdEx > l {
		return io.ErrUnexpectedEOF
	}
	return nil
}
func (m *ListSlotsResponse) Unmarshal(dAtA []byte) error {
	l := len(dAtA)
	iNdEx := 0
	for iNdEx < l {
		preIndex := iNdEx
		var wire uint64
		for shift := uint(0); ; shift += 7 {
			if shift >= 64 {
				return ErrIntOverflowTimetable
			}
			if iNdEx >= l {
				return io.ErrUnexpectedEOF
			}
			b := dAtA[iNdEx]
			iNdEx++
			wire |= (uint64(b) & 0x7F) << shift
			if b < 0x80 {
				break
			}
		}
		fieldNum := int32(wire >> 3)
		wireType := int(wire & 0x7)
		if wireType == 4 {
			return fmt.Errorf("proto: ListSlotsResponse: wiretype end group for non-group")
		}
		if fieldNum <= 0 {
			return fmt.Errorf("proto: ListSlotsResponse: illegal tag %d (wire type %d)", fieldNum, wire)
		}
		switch fieldNum {
		case 1:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field Slots", wireType)
			}
			var msglen int
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTimetable
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				msglen |= (int(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			if msglen < 0 {
				return ErrInvalidLengthTimetable
			}
			postIndex := iNdEx + msglen
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			m.Slots = append(m.Slots, &Slot{})
			if err := m.Slots[len(m.Slots)-1].Unmarshal(dAtA[iNdEx:postIndex]); err != nil {
				return err
			}
			iNdEx = postIndex
		case 2:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field NextPageToken", wireType)
			}
			var stringLen uint64
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTimetable
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				stringLen |= (uint64(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			intStringLen := int(stringLen)
			if intStringLen < 0 {
				return ErrInvalidLengthTimetable
			}
			postIndex := iNdEx + intStringLen
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			m.NextPageToken = string(dAtA[iNdEx:postIndex])
			iNdEx = postIndex
		default:
			iNdEx = preIndex
			skippy, err := skipTimetable(dAtA[iNdEx:])
			if err != nil {
				return err
			}
			if skippy < 0 {
				return ErrInvalidLengthTimetable
			}
			if (iNdEx + skippy) > l {
				return io.ErrUnexpectedEOF
			}
			iNdEx += skippy
		}
	}

	if iNdEx > l {
		return io.ErrUnexpectedEOF
	}
	return nil
}
func (m *Timetable) Unmarshal(dAtA []byte) error {
	l := len(dAtA)
	iNdEx := 0
	for iNdEx < l {
		preIndex := iNdEx
		var wire uint64
		for shift := uint(0); ; shift += 7 {
			if shift >= 64 {
				return ErrIntOverflowTimetable
			}
			if iNdEx >= l {
				return io.ErrUnexpectedEOF
			}
			b := dAtA[iNdEx]
			iNdEx++
			wire |= (uint64(b) & 0x7F) << shift
			if b < 0x80 {
				break
			}
		}
		fieldNum := int32(wire >> 3)
		wireType := int(wire & 0x7)
		if wireType == 4 {
			return fmt.Errorf("proto: Timetable: wiretype end group for non-group")
		}
		if fieldNum <= 0 {
			return fmt.Errorf("proto: Timetable: illegal tag %d (wire type %d)", fieldNum, wire)
		}
		switch fieldNum {
		case 1:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field Name", wireType)
			}
			var stringLen uint64
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTimetable
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				stringLen |= (uint64(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			intStringLen := int(stringLen)
			if intStringLen < 0 {
				return ErrInvalidLengthTimetable
			}
			postIndex := iNdEx + intStringLen
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			m.Name = string(dAtA[iNdEx:postIndex])
			iNdEx = postIndex
		case 2:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field Labels", wireType)
			}
			var msglen int
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTimetable
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				msglen |= (int(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			if msglen < 0 {
				return ErrInvalidLengthTimetable
			}
			postIndex := iNdEx + msglen
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			if m.Labels == nil {
				m.Labels = make(map[string]string)
			}
			var mapkey string
			var mapvalue string
			for iNdEx < postIndex {
				entryPreIndex := iNdEx
				var wire uint64
				for shift := uint(0); ; shift += 7 {
					if shift >= 64 {
						return ErrIntOverflowTimetable
					}
					if iNdEx >= l {
						return io.ErrUnexpectedEOF
					}
					b := dAtA[iNdEx]
					iNdEx++
					wire |= (uint64(b) & 0x7F) << shift
					if b < 0x80 {
						break
					}
				}
				fieldNum := int32(wire >> 3)
				if fieldNum == 1 {
					var stringLenmapkey uint64
					for shift := uint(0); ; shift += 7 {
						if shift >= 64 {
							return ErrIntOverflowTimetable
						}
						if iNdEx >= l {
							return io.ErrUnexpectedEOF
						}
						b := dAtA[iNdEx]
						iNdEx++
						stringLenmapkey |= (uint64(b) & 0x7F) << shift
						if b < 0x80 {
							break
						}
					}
					intStringLenmapkey := int(stringLenmapkey)
					if intStringLenmapkey < 0 {
						return ErrInvalidLengthTimetable
					}
					postStringIndexmapkey := iNdEx + intStringLenmapkey
					if postStringIndexmapkey > l {
						return io.ErrUnexpectedEOF
					}
					mapkey = string(dAtA[iNdEx:postStringIndexmapkey])
					iNdEx = postStringIndexmapkey
				} else if fieldNum == 2 {
					var stringLenmapvalue uint64
					for shift := uint(0); ; shift += 7 {
						if shift >= 64 {
							return ErrIntOverflowTimetable
						}
						if iNdEx >= l {
							return io.ErrUnexpectedEOF
						}
						b := dAtA[iNdEx]
						iNdEx++
						stringLenmapvalue |= (uint64(b) & 0x7F) << shift
						if b < 0x80 {
							break
						}
					}
					intStringLenmapvalue := int(stringLenmapvalue)
					if intStringLenmapvalue < 0 {
						return ErrInvalidLengthTimetable
					}
					postStringIndexmapvalue := iNdEx + intStringLenmapvalue
					if postStringIndexmapvalue > l {
						return io.ErrUnexpectedEOF
					}
					mapvalue = string(dAtA[iNdEx:postStringIndexmapvalue])
					iNdEx = postStringIndexmapvalue
				} else {
					iNdEx = entryPreIndex
					skippy, err := skipTimetable(dAtA[iNdEx:])
					if err != nil {
						return err
					}
					if skippy < 0 {
						return ErrInvalidLengthTimetable
					}
					if (iNdEx + skippy) > postIndex {
						return io.ErrUnexpectedEOF
					}
					iNdEx += skippy
				}
			}
			m.Labels[mapkey] = mapvalue
			iNdEx = postIndex
		default:
			iNdEx = preIndex
			skippy, err := skipTimetable(dAtA[iNdEx:])
			if err != nil {
				return err
			}
			if skippy < 0 {
				return ErrInvalidLengthTimetable
			}
			if (iNdEx + skippy) > l {
				return io.ErrUnexpectedEOF
			}
			iNdEx += skippy
		}
	}

	if iNdEx > l {
		return io.ErrUnexpectedEOF
	}
	return nil
}
func (m *Slot) Unmarshal(dAtA []byte) error {
	l := len(dAtA)
	iNdEx := 0
	for iNdEx < l {
		preIndex := iNdEx
		var wire uint64
		for shift := uint(0); ; shift += 7 {
			if shift >= 64 {
				return ErrIntOverflowTimetable
			}
			if iNdEx >= l {
				return io.ErrUnexpectedEOF
			}
			b := dAtA[iNdEx]
			iNdEx++
			wire |= (uint64(b) & 0x7F) << shift
			if b < 0x80 {
				break
			}
		}
		fieldNum := int32(wire >> 3)
		wireType := int(wire & 0x7)
		if wireType == 4 {
			return fmt.Errorf("proto: Slot: wiretype end group for non-group")
		}
		if fieldNum <= 0 {
			return fmt.Errorf("proto: Slot: illegal tag %d (wire type %d)", fieldNum, wire)
		}
		switch fieldNum {
		case 1:
			if wireType != 0 {
				return fmt.Errorf("proto: wrong wireType = %d for field Status", wireType)
			}
			m.Status = 0
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTimetable
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				m.Status |= (SlotStatus(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
		case 2:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field BeginTime", wireType)
			}
			var msglen int
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTimetable
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				msglen |= (int(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			if msglen < 0 {
				return ErrInvalidLengthTimetable
			}
			postIndex := iNdEx + msglen
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			if m.BeginTime == nil {
				m.BeginTime = &types.Timestamp{}
			}
			if err := m.BeginTime.Unmarshal(dAtA[iNdEx:postIndex]); err != nil {
				return err
			}
			iNdEx = postIndex
		case 3:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field EndTime", wireType)
			}
			var msglen int
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTimetable
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				msglen |= (int(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			if msglen < 0 {
				return ErrInvalidLengthTimetable
			}
			postIndex := iNdEx + msglen
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			if m.EndTime == nil {
				m.EndTime = &types.Timestamp{}
			}
			if err := m.EndTime.Unmarshal(dAtA[iNdEx:postIndex]); err != nil {
				return err
			}
			iNdEx = postIndex
		default:
			iNdEx = preIndex
			skippy, err := skipTimetable(dAtA[iNdEx:])
			if err != nil {
				return err
			}
			if skippy < 0 {
				return ErrInvalidLengthTimetable
			}
			if (iNdEx + skippy) > l {
				return io.ErrUnexpectedEOF
			}
			iNdEx += skippy
		}
	}

	if iNdEx > l {
		return io.ErrUnexpectedEOF
	}
	return nil
}
func skipTimetable(dAtA []byte) (n int, err error) {
	l := len(dAtA)
	iNdEx := 0
	for iNdEx < l {
		var wire uint64
		for shift := uint(0); ; shift += 7 {
			if shift >= 64 {
				return 0, ErrIntOverflowTimetable
			}
			if iNdEx >= l {
				return 0, io.ErrUnexpectedEOF
			}
			b := dAtA[iNdEx]
			iNdEx++
			wire |= (uint64(b) & 0x7F) << shift
			if b < 0x80 {
				break
			}
		}
		wireType := int(wire & 0x7)
		switch wireType {
		case 0:
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return 0, ErrIntOverflowTimetable
				}
				if iNdEx >= l {
					return 0, io.ErrUnexpectedEOF
				}
				iNdEx++
				if dAtA[iNdEx-1] < 0x80 {
					break
				}
			}
			return iNdEx, nil
		case 1:
			iNdEx += 8
			return iNdEx, nil
		case 2:
			var length int
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return 0, ErrIntOverflowTimetable
				}
				if iNdEx >= l {
					return 0, io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				length |= (int(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			iNdEx += length
			if length < 0 {
				return 0, ErrInvalidLengthTimetable
			}
			return iNdEx, nil
		case 3:
			for {
				var innerWire uint64
				var start int = iNdEx
				for shift := uint(0); ; shift += 7 {
					if shift >= 64 {
						return 0, ErrIntOverflowTimetable
					}
					if iNdEx >= l {
						return 0, io.ErrUnexpectedEOF
					}
					b := dAtA[iNdEx]
					iNdEx++
					innerWire |= (uint64(b) & 0x7F) << shift
					if b < 0x80 {
						break
					}
				}
				innerWireType := int(innerWire & 0x7)
				if innerWireType == 4 {
					break
				}
				next, err := skipTimetable(dAtA[start:])
				if err != nil {
					return 0, err
				}
				iNdEx = start + next
			}
			return iNdEx, nil
		case 4:
			return iNdEx, nil
		case 5:
			iNdEx += 4
			return iNdEx, nil
		default:
			return 0, fmt.Errorf("proto: illegal wireType %d", wireType)
		}
	}
	panic("unreachable")
}

var (
	ErrInvalidLengthTimetable = fmt.Errorf("proto: negative length found during unmarshaling")
	ErrIntOverflowTimetable   = fmt.Errorf("proto: integer overflow")
)

func init() {
	proto.RegisterFile("adventuscalendar/api/timetable.proto", fileDescriptor_timetable_a1190d0cd7c38e83)
}

var fileDescriptor_timetable_a1190d0cd7c38e83 = []byte{
	// 852 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xa4, 0x54, 0xcf, 0x6f, 0x1b, 0x45,
	0x18, 0xf5, 0xf8, 0x57, 0xeb, 0xaf, 0xd4, 0x75, 0x87, 0xe2, 0x9a, 0x0d, 0xac, 0xdd, 0x55, 0x54,
	0xb7, 0xa5, 0xd8, 0x10, 0x84, 0xd4, 0x44, 0x8a, 0x90, 0x9d, 0x98, 0x28, 0xc2, 0x22, 0x96, 0xd7,
	0x01, 0x09, 0x0e, 0xd6, 0x38, 0x9e, 0x58, 0xab, 0xac, 0x77, 0x17, 0xcf, 0xd8, 0x22, 0x89, 0x90,
	0x02, 0x88, 0x3b, 0x12, 0x57, 0x24, 0xae, 0x9c, 0xf9, 0x2b, 0x38, 0x46, 0xe2, 0x92, 0x23, 0x71,
	0x38, 0x70, 0xcc, 0x9f, 0x80, 0x66, 0x76, 0xed, 0xdd, 0x98, 0x75, 0x6c, 0xa9, 0xb7, 0x9d, 0xd9,
	0xf7, 0xcd, 0x7b, 0xdf, 0x9b, 0xf9, 0x1e, 0xac, 0x92, 0xee, 0x88, 0x5a, 0x7c, 0xc8, 0x0e, 0x88,
	0x49, 0xad, 0x2e, 0x19, 0x94, 0x89, 0x63, 0x94, 0xb9, 0xd1, 0xa7, 0x9c, 0x74, 0x4c, 0x5a, 0x72,
	0x06, 0x36, 0xb7, 0xf1, 0xa3, 0x59, 0x54, 0x89, 0x38, 0x86, 0xf2, 0x4e, 0xcf, 0xb6, 0x7b, 0x26,
	0x95, 0x15, 0xc4, 0xb2, 0x6c, 0x4e, 0xb8, 0x61, 0x5b, 0xcc, 0xad, 0x51, 0xf2, 0xde, 0x5f, 0xb9,
	0xea, 0x0c, 0x0f, 0xe5, 0xa1, 0x8c, 0x93, 0xbe, 0xe3, 0x02, 0xb4, 0x2f, 0x21, 0xbb, 0x35, 0xa0,
	0x84, 0xd3, 0xd6, 0x84, 0xad, 0x49, 0xbf, 0x19, 0x52, 0xc6, 0xf1, 0x26, 0xa4, 0xa6, 0x0a, 0x72,
	0xd1, 0x02, 0x7a, 0x76, 0x6f, 0x2d, 0x5f, 0x0a, 0x93, 0x50, 0xf2, 0x4b, 0xfd, 0x0a, 0xed, 0x39,
	0xbc, 0xb9, 0x43, 0xf9, 0xff, 0x4e, 0xc5, 0x10, 0xb7, 0x48, 0x9f, 0xe6, 0x50, 0x01, 0x3d, 0x4b,
	0x35, 0xe5, 0xb7, 0x76, 0x04, 0x6f, 0xd5, 0x0d, 0xe6, 0x63, 0xd9, 0x04, 0xbc, 0x02, 0x29, 0x87,
	0xf4, 0x68, 0x9b, 0x19, 0x27, 0xae, 0x84, 0x44, 0xf3, 0xae, 0xd8, 0xd0, 0x8d, 0x13, 0x8a, 0xdf,
	0x05, 0x90, 0x3f, 0xb9, 0x7d, 0x44, 0xad, 0x5c, 0x4c, 0x9e, 0x27, 0xe1, 0x2d, 0xb1, 0x81, 0xb3,
	0x90, 0x3c, 0x34, 0x4c, 0x4e, 0x07, 0xb9, 0xb8, 0xfc, 0xe5, 0xad, 0xb4, 0xef, 0x11, 0x64, 0x67,
	0xd9, 0x98, 0x63, 0x5b, 0x8c, 0xe2, 0x4f, 0x00, 0xa6, 0xfa, 0x59, 0x0e, 0x15, 0x62, 0xcb, 0xb4,
	0x1c, 0x28, 0xc1, 0x4f, 0xe1, 0x81, 0x45, 0xbf, 0xe5, 0xed, 0x80, 0xae, 0xa8, 0x24, 0xbf, 0x2f,
	0xb6, 0x1b, 0x13, 0x6d, 0xda, 0xd7, 0xf0, 0xd0, 0x35, 0x5d, 0x37, 0x6d, 0x3e, 0x69, 0x36, 0x0b,
	0x49, 0x87, 0x0c, 0xa8, 0xc5, 0x3d, 0x6f, 0xbc, 0x15, 0x2e, 0x41, 0x9c, 0x99, 0x36, 0xf7, 0xae,
	0x40, 0x09, 0xd7, 0x23, 0x0f, 0x92, 0x38, 0x6d, 0x15, 0xd2, 0x3b, 0x94, 0x07, 0x4f, 0x0e, 0xf3,
	0xfc, 0x10, 0x32, 0xc2, 0x05, 0x01, 0x63, 0x8b, 0x14, 0xbc, 0xc6, 0x35, 0x68, 0x7d, 0x78, 0x18,
	0xe0, 0xf1, 0x8c, 0xfe, 0x00, 0x12, 0x42, 0xea, 0xc4, 0xe3, 0xdb, 0x7a, 0x72, 0x81, 0x4b, 0x3b,
	0xfb, 0x1b, 0x82, 0xd4, 0xf4, 0x6e, 0xc2, 0x1a, 0xc7, 0x5b, 0x90, 0x34, 0x49, 0x87, 0x9a, 0x2c,
	0x17, 0x95, 0xe4, 0xef, 0x2d, 0xb8, 0xe0, 0x52, 0x5d, 0xa2, 0x6b, 0x16, 0x1f, 0x1c, 0x37, 0xbd,
	0x52, 0x65, 0x1d, 0xee, 0x05, 0xb6, 0x71, 0x06, 0x62, 0x47, 0xf4, 0xd8, 0xa3, 0x11, 0x9f, 0xf8,
	0x11, 0x24, 0x46, 0xc4, 0x1c, 0x52, 0x4f, 0xa5, 0xbb, 0xd8, 0x88, 0xbe, 0x42, 0xda, 0x1f, 0x08,
	0xe2, 0xa2, 0x33, 0xfc, 0x0a, 0x92, 0x8c, 0x13, 0x3e, 0x64, 0xb2, 0x2e, 0xbd, 0x56, 0x98, 0xef,
	0x82, 0x2e, 0x71, 0x4d, 0x0f, 0x8f, 0xd7, 0x01, 0x3a, 0xb4, 0x67, 0x58, 0x6d, 0xf1, 0xf4, 0xa6,
	0xef, 0xc2, 0x9d, 0xf4, 0xd2, 0x64, 0xd2, 0x65, 0x07, 0x72, 0xd2, 0x9b, 0x29, 0x89, 0x16, 0x6b,
	0xfc, 0x31, 0xdc, 0xa5, 0x56, 0xd7, 0x2d, 0x8c, 0x2d, 0x2c, 0xbc, 0x43, 0xad, 0xae, 0x58, 0xbd,
	0xd8, 0x06, 0xf0, 0x75, 0xe0, 0x15, 0x78, 0xac, 0xd7, 0xf7, 0x5a, 0x6d, 0xbd, 0x55, 0x69, 0xed,
	0xeb, 0xed, 0xfd, 0xcf, 0xf5, 0x46, 0x6d, 0x6b, 0xf7, 0xd3, 0xdd, 0xda, 0x76, 0x26, 0x82, 0xef,
	0x43, 0xaa, 0xf2, 0x45, 0x65, 0xb7, 0x5e, 0xa9, 0xd6, 0x6b, 0x19, 0x84, 0x01, 0x92, 0xd5, 0xbd,
	0xbd, 0xcf, 0x6a, 0xdb, 0x99, 0xe8, 0xda, 0xaf, 0x49, 0xc8, 0x4c, 0x7d, 0xd5, 0xe9, 0x60, 0x64,
	0x1c, 0x50, 0xfc, 0x23, 0x82, 0x07, 0x33, 0x09, 0x84, 0x5f, 0x86, 0x5b, 0x11, 0x1e, 0x54, 0xca,
	0xa2, 0x11, 0xd5, 0x9e, 0xfc, 0xf0, 0xd7, 0x3f, 0xbf, 0x44, 0x57, 0xb4, 0x74, 0x79, 0xf4, 0xa1,
	0x9f, 0xaa, 0x6c, 0xc3, 0x4f, 0x2b, 0x7c, 0x0a, 0x6f, 0x04, 0xd3, 0x0a, 0x3f, 0x0f, 0x3f, 0x33,
	0x24, 0xd1, 0x16, 0xd3, 0xe7, 0x25, 0xfd, 0xdb, 0xf8, 0xb1, 0xa0, 0x3f, 0x15, 0x8f, 0x70, 0xd3,
	0x17, 0x51, 0x7e, 0xf1, 0x9d, 0xb0, 0x20, 0x7d, 0x33, 0x92, 0xf0, 0x9c, 0x57, 0x19, 0x1a, 0x93,
	0xca, 0xcb, 0xe5, 0xc0, 0xee, 0xf0, 0x69, 0x59, 0x29, 0x27, 0x83, 0x67, 0xdc, 0xc0, 0x67, 0x08,
	0xc0, 0x4f, 0x25, 0x5c, 0xbc, 0xed, 0x0e, 0x02, 0xe9, 0xa2, 0xdc, 0x32, 0xbd, 0xda, 0xfb, 0x92,
	0xab, 0xa8, 0xe5, 0x65, 0xeb, 0x6e, 0x9c, 0xdc, 0x6c, 0xbe, 0x2c, 0xe7, 0x7b, 0x43, 0x46, 0x17,
	0xe6, 0x70, 0xc7, 0x8b, 0x2e, 0xbc, 0x3a, 0xf7, 0x02, 0x96, 0xe5, 0x2e, 0x4a, 0xee, 0x27, 0x38,
	0x1f, 0x6e, 0xbb, 0x4b, 0x2c, 0xec, 0xff, 0x09, 0x41, 0x6a, 0x9a, 0x51, 0xf8, 0xe9, 0x7c, 0x33,
	0x83, 0x61, 0xa9, 0x14, 0x17, 0xe2, 0x3c, 0xbf, 0x6f, 0xea, 0x98, 0xef, 0x41, 0xb5, 0x77, 0x7e,
	0xa9, 0x46, 0x2e, 0x2e, 0xd5, 0xc8, 0xf5, 0xa5, 0x8a, 0xce, 0xc6, 0x2a, 0xfa, 0x7d, 0xac, 0xa2,
	0x3f, 0xc7, 0x2a, 0x3a, 0x1f, 0xab, 0xe8, 0xef, 0xb1, 0x8a, 0xfe, 0x1d, 0xab, 0x91, 0xeb, 0xb1,
	0x8a, 0x7e, 0xbe, 0x52, 0x23, 0xe7, 0x57, 0x6a, 0xe4, 0xe2, 0x4a, 0x8d, 0x40, 0xee, 0xc0, 0xee,
	0x87, 0x4a, 0xa9, 0xa6, 0xa7, 0x97, 0xdf, 0x10, 0xa3, 0xdd, 0x40, 0x5f, 0x25, 0x88, 0x63, 0x38,
	0x9d, 0x4e, 0x52, 0x8e, 0xfa, 0x47, 0xff, 0x05, 0x00, 0x00, 0xff, 0xff, 0x30, 0x5e, 0x26, 0x52,
	0x77, 0x08, 0x00, 0x00,
}
